# Update Cardholder DOB

## Update Cardholder DOB

The Update Cardholder DOB API updates cardholder's Date Of Birth.

*Beginning on 10/15/2023, The Update Cardholder DOB API has been enhanced to accept RPID in addition to the standard CardNumber. While the API traditionally requires CardNumber, it now accommodates an alternative identifier: by including the IDType, you can specify RPID to utilize RPID for identification within the API.*

## Input Parameters:

| Name                           | Required | Definition                                                                                                                                            | Comments |
| ------------------------------ | -------- | ----------------------------------------------------------------------------------------------------------------------------------------------------- | -------- |
| CardNumber                     | Y        | Format: Numeric, 16                                                                                                                                   |          |
| ID                             | Y        | <p>Format: Numeric, 1-19<br>Description:<br>Input should be RPID in case IDType = RPID<br>Input should be Card Number in case IDType = CardNumber</p> |          |
| IDType                         | Y        | <p>Format options:<br>CardNumber<br>RPID<br>SavingAccount</p>                                                                                         |          |
| CardNumber                     | Y        | Format: Numeric, 16                                                                                                                                   |          |
| ChallengeQuestionType          | N        | Field:TBD                                                                                                                                             |          |
| ChallengeAnswer                | C        | Field:TBD                                                                                                                                             |          |
| DateOfBirth                    | Y        | <p>Format: yyyy-mm-dd<br>Description: Cardholder must be above 17 years old</p>                                                                       |          |
| ForceUpdateWithoutVerification | N        | Format: Y/N                                                                                                                                           | Future   |
| OOWAnswer                      | C        | Field:TBD                                                                                                                                             |          |
| OOWQuestionType                | N        | Field:TBD                                                                                                                                             |          |
| ReturnOOWQuestions             | N        | Format: Y/N (N is default).                                                                                                                           |          |

## Output Parameters:

## XML Samples

### Input XML

```json
<?xml version="1.0"?>
<PraxellXMLRequest>
  <AuthenticationDetails>
    <UserName>MGR_PPM_QA</UserName>
    <UserPassword>1q2w3e4r</UserPassword>
    <ClientSourceIP></ClientSourceIP> 
 </AuthenticationDetails>;
  <ServiceDetails>
    <ServiceName>UpdateCardholderDOB</ServiceName>
    <UniqueRequestId>5465645</UniqueRequestId>
  </ServiceDetails>
  <Origin>
    <OriginType>ExtAPI</OriginType>
  </Origin>
  <ServiceParams>
    <ID>9800267072</ID>
    <IDType>RPID</IDType>
    <CardNumber></CardNumber>
    <DateOfBirth>1980-01-01</DateOfBirth>
  </ServiceParams>
</PraxellXMLRequest>
```

```json
<PraxellXMLResponse>
  <ResponseDetails>
    <ServiceName>UpdateCardholderDOB</ServiceName>
    <SessionId>05200637022706028152</SessionId>
    <StatusCode>0</StatusCode>
    <StatusName>StatusOK</StatusName>
    <StatusDescription>NA</StatusDescription>
    <ServiceDate>2007-06-26 12:57:01</ServiceDate>
    <ServiceId>64405512200757060</ServiceId>
  </ResponseDetails>
  <ResponseParams>
  </ResponseParams>
</PraxellXMLResponse>
```

```json
<?xml version="1.0"?>
<PraxellXMLResponse>
  <ResponseDetails>
    <ServiceName>UpdateCardholderDOB</ServiceName>
    <SessionId>07071612200737105</SessionId>
    <StatusCode>70008</StatusCode>
    <StatusName>InvalidIssuer</StatusName>
    <StatusDescription>InvalidIssuer</StatusDescription>
    <ServiceDate>2021-10-01 12:37:50</ServiceDate>
    <ServiceId>07071612200737105</ServiceId>
  </ResponseDetails>
  <ResponseParams>
  </ResponseParams>
</PraxellXMLResponse>
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://apidocs.juicefin.com/apis/card-status-and-management/update-cardholder-dob.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
